%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:          jboss-transaction-spi
Version:       7.3.0
Release:       %mkrel 1
Group:         Development/Java
Summary:       JBoss Transaction SPI
License:       LGPLv2+
URL:           https://github.com/jbosstm/jboss-transaction-spi
Source0:       https://github.com/jbosstm/jboss-transaction-spi/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz
# https://issues.jboss.org/browse/JBTM-2698
Patch0:        https://github.com/jbosstm/jboss-transaction-spi/commit/7aa203f7fd6b182f9b7b47118af91f126e4e11fe.patch

BuildRequires: maven-local
BuildRequires: mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires: mvn(org.codehaus.mojo:buildnumber-maven-plugin)
BuildRequires: mvn(org.jboss:jboss-parent:pom:)
BuildRequires: mvn(org.jboss.jandex:jandex-maven-plugin)
BuildRequires: mvn(org.jboss.logging:jboss-logging)
BuildRequires: mvn(org.jboss.logging:jboss-logging-processor)
BuildRequires: mvn(org.jboss.spec.javax.resource:jboss-connector-api_1.7_spec)
BuildRequires: mvn(org.jboss.spec.javax.transaction:jboss-transaction-api_1.2_spec)

BuildArch:     noarch

%description
The Java Transaction SPI classes.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1

# Replace jboss-connector-api_1.5_spec https://issues.jboss.org/browse/JBTM-2663
%pom_change_dep org.jboss.spec.javax.resource: :jboss-connector-api_1.7_spec

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE



%changelog
* Sat Nov 05 2016 daviddavid <daviddavid> 7.3.0-1.mga6
+ Revision: 1065424
- Upstream release 7.3.0.Final

  + neoclust <neoclust>
    - Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 7.1.0-5.mga6
+ Revision: 976477
- First rebuild of the java stack
- sync package jboss-transaction-spi with fedora
- imported package jboss-transaction-spi

* Wed Oct 15 2014 umeabot <umeabot> 7.1.0-3.mga5
+ Revision: 740885
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Dec 30 2013 dmorgan <dmorgan> 7.1.0-1.mga4
+ Revision: 563281
- New version

* Tue Oct 22 2013 umeabot <umeabot> 7.0.1-3.mga4
+ Revision: 545351
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 7.0.1-2.mga4
+ Revision: 496600
- New version

* Sat Jan 12 2013 umeabot <umeabot> 7.0.0-3.mga3
+ Revision: 355175
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 dmorgan <dmorgan> 7.0.0-2.mga3
+ Revision: 341257
- 7.0.0 Final

* Wed Feb 08 2012 gil <gil> 7.0.0-1.mga3
+ Revision: 206489
- imported package jboss-transaction-spi

